# operator==,!=(std::allocator)

From cppreference.com
< cpp‎ | memory‎ | allocator

template< class T1, class T2 > bool operator==( const allocator<T1>& lhs, const allocator<T2>& rhs ); |  |
template< class T1, class T2 > bool operator!=( const allocator<T1>& lhs, const allocator<T2>& rhs ); |  |

Compares two default allocators. Since default allocators are stateless, two default allocators are always equal.

1) Returns true
2) Returns false

### Parameters

lhs, rhs | - | default allocators to compare

### Return value

1) true
2) false

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/operator_cmp&oldid=91866"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template